Changeset 2666


Ignore:
Timestamp:
Dec 1, 2012 1:38:49 PM (8 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/configure

    r2626 r2666  
    10831083                          icl/link). Default when mentioned: mingw. Default
    10841084                          when not mentioned: disabled.
     1085  --enable-static-standardlibs
     1086                          whether to link against static standard libraries
     1087                          (libgcc, libgfortran, libstdc++)
    10851088  --enable-static[=PKGS]
    10861089                          build static libraries [default=no]
     
    19381941
    19391942
     1943# check whether to add flags for static linking against standard libraries
     1944# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1945if test "${enable_static_standardlibs+set}" = set; then
     1946  enableval="$enable_static_standardlibs"
     1947  case "$enableval" in
     1948     no | yes | auto ) ;;
     1949     *)
     1950       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1951echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1952   { (exit 1); exit 1; }; } ;;
     1953   esac
     1954   use_static_standardlibs=$enableval
     1955else
     1956  if test $enable_shared = yes ; then
     1957     use_static_standardlibs = no
     1958   else
     1959     use_static_standardlibs = auto
     1960   fi
     1961
     1962
     1963fi;
     1964
     1965
     1966
     1967
     1968
    19401969
    19411970ac_ext=c
     
    30613090    CFLAGS="$OPT_CFLAGS"
    30623091  fi
     3092
    30633093else
    30643094  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32293259esac
    32303260
     3261# check whether to add flags for static linking against standard libraries to LDFLAGS
     3262if test x$use_static_standardlibs != xno ; then
     3263  case $build in
     3264    *-mingw*)
     3265      static_standardlib_flag=-static
     3266      ;;
     3267    *)
     3268      static_standardlib_flag=-static-libgcc
     3269      ;;
     3270  esac
     3271  case " $LDFLAGS " in
     3272    *" $static_standardlib_flag "* ) ;;
     3273    *)
     3274    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3275echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3276    coin_save_LDFLAGS="$LDFLAGS"
     3277    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3278    cat >conftest.$ac_ext <<_ACEOF
     3279/* confdefs.h.  */
     3280_ACEOF
     3281cat confdefs.h >>conftest.$ac_ext
     3282cat >>conftest.$ac_ext <<_ACEOF
     3283/* end confdefs.h.  */
     3284
     3285int
     3286main ()
     3287{
     3288int i=0;
     3289  ;
     3290  return 0;
     3291}
     3292_ACEOF
     3293rm -f conftest.$ac_objext conftest$ac_exeext
     3294if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3295  (eval $ac_link) 2>conftest.er1
     3296  ac_status=$?
     3297  grep -v '^ *+' conftest.er1 >conftest.err
     3298  rm -f conftest.er1
     3299  cat conftest.err >&5
     3300  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3301  (exit $ac_status); } &&
     3302         { ac_try='test -z "$ac_c_werror_flag"
     3303                         || test ! -s conftest.err'
     3304  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3305  (eval $ac_try) 2>&5
     3306  ac_status=$?
     3307  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3308  (exit $ac_status); }; } &&
     3309         { ac_try='test -s conftest$ac_exeext'
     3310  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3311  (eval $ac_try) 2>&5
     3312  ac_status=$?
     3313  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3314  (exit $ac_status); }; }; then
     3315  echo "$as_me:$LINENO: result: yes" >&5
     3316echo "${ECHO_T}yes" >&6
     3317else
     3318  echo "$as_me: failed program was:" >&5
     3319sed 's/^/| /' conftest.$ac_ext >&5
     3320
     3321echo "$as_me:$LINENO: result: no" >&5
     3322echo "${ECHO_T}no" >&6
     3323       LDFLAGS="$coin_save_LDFLAGS"
     3324       if test $use_static_standardlibs = yes ; then
     3325         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3326echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3327   { (exit 1); exit 1; }; }
     3328       fi
     3329
     3330fi
     3331rm -f conftest.err conftest.$ac_objext \
     3332      conftest$ac_exeext conftest.$ac_ext
     3333    ;;
     3334  esac
     3335fi
     3336
    32313337ac_ext=c
    32323338ac_cpp='$CPP $CPPFLAGS'
     
    32573363
    32583364
     3365
    32593366ac_ext=f
    32603367ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    34663573
    34673574# Provide some information about the compiler.
    3468 echo "$as_me:3468:" \
     3575echo "$as_me:3575:" \
    34693576     "checking for Fortran 77 compiler version" >&5
    34703577ac_compiler=`set X $ac_compile; echo $2`
     
    38333940    FFLAGS="$OPT_FFLAGS"
    38343941  fi
     3942
    38353943else
    38363944  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39754083esac
    39764084
     4085# check whether to add flag for static linking against standard libraries to LDFLAGS
     4086if test x$use_static_standardlibs != xno ; then
     4087  case $build in
     4088    *-mingw*)
     4089      static_standardlib_flag=-static
     4090      ;;
     4091    *)
     4092      static_standardlib_flag=-static-libgfortran
     4093      ;;
     4094  esac
     4095  case " $LDFLAGS " in
     4096    *" $static_standardlib_flag "* ) ;;
     4097    *)
     4098    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4099echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4100    coin_save_LDFLAGS="$LDFLAGS"
     4101    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4102    cat >conftest.$ac_ext <<_ACEOF
     4103      program main
     4104      integer i
     4105      end
     4106_ACEOF
     4107rm -f conftest.$ac_objext conftest$ac_exeext
     4108if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4109  (eval $ac_link) 2>conftest.er1
     4110  ac_status=$?
     4111  grep -v '^ *+' conftest.er1 >conftest.err
     4112  rm -f conftest.er1
     4113  cat conftest.err >&5
     4114  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4115  (exit $ac_status); } &&
     4116         { ac_try='test -z "$ac_f77_werror_flag"
     4117                         || test ! -s conftest.err'
     4118  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4119  (eval $ac_try) 2>&5
     4120  ac_status=$?
     4121  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4122  (exit $ac_status); }; } &&
     4123         { ac_try='test -s conftest$ac_exeext'
     4124  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4125  (eval $ac_try) 2>&5
     4126  ac_status=$?
     4127  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4128  (exit $ac_status); }; }; then
     4129  echo "$as_me:$LINENO: result: yes" >&5
     4130echo "${ECHO_T}yes" >&6
     4131else
     4132  echo "$as_me: failed program was:" >&5
     4133sed 's/^/| /' conftest.$ac_ext >&5
     4134
     4135echo "$as_me:$LINENO: result: no" >&5
     4136echo "${ECHO_T}no" >&6
     4137       LDFLAGS="$coin_save_LDFLAGS"
     4138       if test $use_static_standardlibs = yes ; then
     4139         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4140echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4141   { (exit 1); exit 1; }; }
     4142       fi
     4143
     4144fi
     4145rm -f conftest.err conftest.$ac_objext \
     4146      conftest$ac_exeext conftest.$ac_ext
     4147    ;;
     4148  esac
     4149fi
     4150
    39774151ac_ext=c
    39784152ac_cpp='$CPP $CPPFLAGS'
     
    40374211ac_save_FFLAGS=$FFLAGS
    40384212FFLAGS="$FFLAGS $ac_verb"
    4039 (eval echo $as_me:4039: \"$ac_link\") >&5
     4213(eval echo $as_me:4213: \"$ac_link\") >&5
    40404214ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40414215echo "$ac_f77_v_output" >&5
     
    41154289ac_save_FFLAGS=$FFLAGS
    41164290FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4117 (eval echo $as_me:4117: \"$ac_link\") >&5
     4291(eval echo $as_me:4291: \"$ac_link\") >&5
    41184292ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41194293echo "$ac_f77_v_output" >&5
     
    71867360*-*-irix6*)
    71877361  # Find out which ABI we are using.
    7188   echo '#line 7188 "configure"' > conftest.$ac_ext
     7362  echo '#line 7362 "configure"' > conftest.$ac_ext
    71897363  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    71907364  (eval $ac_compile) 2>&5
     
    91829356   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    91839357   -e 's:$: $lt_compiler_flag:'`
    9184    (eval echo "\"\$as_me:9184: $lt_compile\"" >&5)
     9358   (eval echo "\"\$as_me:9358: $lt_compile\"" >&5)
    91859359   (eval "$lt_compile" 2>conftest.err)
    91869360   ac_status=$?
    91879361   cat conftest.err >&5
    9188    echo "$as_me:9188: \$? = $ac_status" >&5
     9362   echo "$as_me:9362: \$? = $ac_status" >&5
    91899363   if (exit $ac_status) && test -s "$ac_outfile"; then
    91909364     # The compiler can only warn and ignore the option if not recognized
     
    94509624   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94519625   -e 's:$: $lt_compiler_flag:'`
    9452    (eval echo "\"\$as_me:9452: $lt_compile\"" >&5)
     9626   (eval echo "\"\$as_me:9626: $lt_compile\"" >&5)
    94539627   (eval "$lt_compile" 2>conftest.err)
    94549628   ac_status=$?
    94559629   cat conftest.err >&5
    9456    echo "$as_me:9456: \$? = $ac_status" >&5
     9630   echo "$as_me:9630: \$? = $ac_status" >&5
    94579631   if (exit $ac_status) && test -s "$ac_outfile"; then
    94589632     # The compiler can only warn and ignore the option if not recognized
     
    95549728   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95559729   -e 's:$: $lt_compiler_flag:'`
    9556    (eval echo "\"\$as_me:9556: $lt_compile\"" >&5)
     9730   (eval echo "\"\$as_me:9730: $lt_compile\"" >&5)
    95579731   (eval "$lt_compile" 2>out/conftest.err)
    95589732   ac_status=$?
    95599733   cat out/conftest.err >&5
    9560    echo "$as_me:9560: \$? = $ac_status" >&5
     9734   echo "$as_me:9734: \$? = $ac_status" >&5
    95619735   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    95629736   then
     
    1197112145  lt_status=$lt_dlunknown
    1197212146  cat > conftest.$ac_ext <<EOF
    11973 #line 11973 "configure"
     12147#line 12147 "configure"
    1197412148#include "confdefs.h"
    1197512149
     
    1207112245  lt_status=$lt_dlunknown
    1207212246  cat > conftest.$ac_ext <<EOF
    12073 #line 12073 "configure"
     12247#line 12247 "configure"
    1207412248#include "confdefs.h"
    1207512249
     
    1443114605   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1443214606   -e 's:$: $lt_compiler_flag:'`
    14433    (eval echo "\"\$as_me:14433: $lt_compile\"" >&5)
     14607   (eval echo "\"\$as_me:14607: $lt_compile\"" >&5)
    1443414608   (eval "$lt_compile" 2>conftest.err)
    1443514609   ac_status=$?
    1443614610   cat conftest.err >&5
    14437    echo "$as_me:14437: \$? = $ac_status" >&5
     14611   echo "$as_me:14611: \$? = $ac_status" >&5
    1443814612   if (exit $ac_status) && test -s "$ac_outfile"; then
    1443914613     # The compiler can only warn and ignore the option if not recognized
     
    1453514709   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1453614710   -e 's:$: $lt_compiler_flag:'`
    14537    (eval echo "\"\$as_me:14537: $lt_compile\"" >&5)
     14711   (eval echo "\"\$as_me:14711: $lt_compile\"" >&5)
    1453814712   (eval "$lt_compile" 2>out/conftest.err)
    1453914713   ac_status=$?
    1454014714   cat out/conftest.err >&5
    14541    echo "$as_me:14541: \$? = $ac_status" >&5
     14715   echo "$as_me:14715: \$? = $ac_status" >&5
    1454214716   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1454314717   then
     
    1610516279   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1610616280   -e 's:$: $lt_compiler_flag:'`
    16107    (eval echo "\"\$as_me:16107: $lt_compile\"" >&5)
     16281   (eval echo "\"\$as_me:16281: $lt_compile\"" >&5)
    1610816282   (eval "$lt_compile" 2>conftest.err)
    1610916283   ac_status=$?
    1611016284   cat conftest.err >&5
    16111    echo "$as_me:16111: \$? = $ac_status" >&5
     16285   echo "$as_me:16285: \$? = $ac_status" >&5
    1611216286   if (exit $ac_status) && test -s "$ac_outfile"; then
    1611316287     # The compiler can only warn and ignore the option if not recognized
     
    1620916383   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1621016384   -e 's:$: $lt_compiler_flag:'`
    16211    (eval echo "\"\$as_me:16211: $lt_compile\"" >&5)
     16385   (eval echo "\"\$as_me:16385: $lt_compile\"" >&5)
    1621216386   (eval "$lt_compile" 2>out/conftest.err)
    1621316387   ac_status=$?
    1621416388   cat out/conftest.err >&5
    16215    echo "$as_me:16215: \$? = $ac_status" >&5
     16389   echo "$as_me:16389: \$? = $ac_status" >&5
    1621616390   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1621716391   then
     
    1841618590   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1841718591   -e 's:$: $lt_compiler_flag:'`
    18418    (eval echo "\"\$as_me:18418: $lt_compile\"" >&5)
     18592   (eval echo "\"\$as_me:18592: $lt_compile\"" >&5)
    1841918593   (eval "$lt_compile" 2>conftest.err)
    1842018594   ac_status=$?
    1842118595   cat conftest.err >&5
    18422    echo "$as_me:18422: \$? = $ac_status" >&5
     18596   echo "$as_me:18596: \$? = $ac_status" >&5
    1842318597   if (exit $ac_status) && test -s "$ac_outfile"; then
    1842418598     # The compiler can only warn and ignore the option if not recognized
     
    1868418858   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1868518859   -e 's:$: $lt_compiler_flag:'`
    18686    (eval echo "\"\$as_me:18686: $lt_compile\"" >&5)
     18860   (eval echo "\"\$as_me:18860: $lt_compile\"" >&5)
    1868718861   (eval "$lt_compile" 2>conftest.err)
    1868818862   ac_status=$?
    1868918863   cat conftest.err >&5
    18690    echo "$as_me:18690: \$? = $ac_status" >&5
     18864   echo "$as_me:18864: \$? = $ac_status" >&5
    1869118865   if (exit $ac_status) && test -s "$ac_outfile"; then
    1869218866     # The compiler can only warn and ignore the option if not recognized
     
    1878818962   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1878918963   -e 's:$: $lt_compiler_flag:'`
    18790    (eval echo "\"\$as_me:18790: $lt_compile\"" >&5)
     18964   (eval echo "\"\$as_me:18964: $lt_compile\"" >&5)
    1879118965   (eval "$lt_compile" 2>out/conftest.err)
    1879218966   ac_status=$?
    1879318967   cat out/conftest.err >&5
    18794    echo "$as_me:18794: \$? = $ac_status" >&5
     18968   echo "$as_me:18968: \$? = $ac_status" >&5
    1879518969   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1879618970   then
Note: See TracChangeset for help on using the changeset viewer.